AT403AVGT7 1024KB, 96+128 KB of SRAM

#### <font color = "MediumSeaGreen">Каналы ADC</font>
- GPIOC_4 - аналоговый вход 1 
- GPIOC_5 - аналоговый вход 2 
- GPIOC_3 - VBKUPVOLT напряжение на супер-конденсаторах
- GPIOA_5 - f_CLOUT напряжение на выходе ограничителя тока
- GPIOA_4 - f_CLIN напряжение на выходе повышающего преобразователя и на входе ограничителя тока
- GPIOB_1 - f_MPOINT - средняя точка супер-конденсаторов

Возможен вариант платы с 4-я аналоговыми входами

#### <font color = "MediumSeaGreen">Low-power modes</font>
  
The AT32F403A supports three low-power modes to achieve the best compromise between low-power consumption, short startup time and available wakeup sources:  
- Sleep mode  
In Sleep mode, only the CPU is stopped. All peripherals continue to operate and can wake up the CPU when an interrupt/event occurs.  
- Stop mode  
Stop mode achieves the lowest power consumption while retaining the content of SRAM and registers. All clocks in the 1.2 V domain are stopped, the PLL, the HSI RC and the HSE crystal  oscillators are disabled. The voltage regulator is put in normal mode.  The device can be woken up from Stop mode by any of the EXTI line. The EXTI line source can be one of the 16 external lines, the PVD output, the RTC alarm, or the USB wakeup.  
-  Standby mode  
The Standby mode is used to achieve the lowest power consumption. The internal voltage  regulator is switched off so that the entire 1.2 V domain is powered off. The PLL, the HSI RC and the HSE crystal oscillators are also switched off. After entering Standby mode, SRAM and  register contents are lost except for registers in the Backup domain and Standby circuitry.  The device exits Standby mode when an external reset (NRST pin), an IWDG reset, a rising edge on the WKUP pin, or an RTC alarm occurs.  
Note: The RTC, the IWDG, and the corresponding clock sources are not stopped by entering Stop or Standby mode.
![[AT_power_domain.PNG]]
![[AT_current_consumptions.PNG]]
---
#### <font color = "MediumSeaGreen">Sleep mode. Разное.</font>
- В старом арбитре все пины переводятся в состояние GPIO_MODE_IN_FLOATING кроме: PA_3, PA_4, PC_4, PC_5
#### <font color = "0x0b3b06">Пины не должны переводиться в floating mode (cтарый - новый):</font>
- **PA_3** (SCCHR / CHARGE_ON) - **PB_0** (CHARGON)
- **PA_4** (SCMAINPWR / SC_ON ) - **PC_0** (SCMAINPWR) - включение повышающего преобразователя
- **PC_4** (IMPC0) - **PD_4** (IMPC0) - 1-ый вход для подсчета импульсов
- **PC_5** (IMPC1) - **PD_7** (IMPC0) - 2-ый вход для подсчета импульсов
#### <font color = "0x0b3b06">UART:</font>
* для модуля **usched**: USART2, USART3, UART4
* DEBUG: USART1
#### <font color = "0x0b3b06">EXTI:</font>
- PE_2 - f_PRTKEY
- PC_2 - выход компаратора (выход из SLEEP-режима)
- PD_4 - IMPC0 (счетчик импульсов вход 1)
- PD_7 - IMPC1 (счетчик импульсов вход 1)
---
#### <font color = "MediumSeaGreen">Пины управления питанием.</font>
- CLON - PE_15 - включение ограничителя

--- 
#### <font color = "MediumSeaGreen">TODO</font>
- [ ] Проверить все GPIO по схеме
- [ ] Проверить дискретные входы через SWC (PB12, PB13, PB14, PB15, PD10, PD11, PD12, PD13)
- [x] pin 1 - PE2 - fPRTKEY
- [x] pin 2 - PE3 - fnENTC2toM2 (EN_TCB2EXTB) - подключает передатчик теплосчетчика 2 к модему 2
- [x] pin 3 - PE4 - f_nENRKTXD5toTC2 - подключает передатчик UART5 ARM к приемнику теплосчетчику 2
- [x] pin 4 - PE5 - f_nENM2toTC2 - подключает передатчик модема 2 к приемнику теплосчетчика 2
- [x] pin 5 - PE6 - f_nENTC2toRKRXD5 - подключает передатчик UART7 ARM  к приемнику теплосчетчика 3
- [x] pin 6 - VBAT
- [ ] pin 7 - PC13 - TAMPER
- [x] pin 8 - LEXT_IN
- [x] pin 9 - LEXT_OUT
- [x] pin 10 - VSS_5
- [x] pin 11 - VDD_5
- [x] pin 12 - OSC_IN
- [x] pin 13 - OSC_OUT
- [x] pin 14 - NRST
- [ ] pin 15 - PC0 - f_SCON (SCMAINPWR) - SC_ON, включение повышающего преобразователя
- [ ] pin 16 - PC1 - f_SCPRESS (SC_BRD) - вход детектирующий наличие платы суперкапов
- [x] pin 17 - PC2 - f_CPRHWREV (EXT_PWR) - наличие 220
- [ ] pin 18 - PC3 - f_VBKUPVOLT напряжение на суперкапах????????????????????????
- [x] pin 19 - VSSA
- [x] pin 20 - VREF-
- [x] pin 21 - VREF+
- [x] pin 22 - VDDA
- [ ] pin 23 - PA0 - f_nENTC3toRKRXD7
- [ ] pin 24 - PA1 - f_nENM3toARTRXD3
- [ ] pin 25 - PA2 - f_SRVC2
- [ ] pin 26 - PA3 - f_SRVC3
- [x] pin 27 - VSS_4
- [x] pin 28 - VDD_4
- [ ] pin 29 - PA4 - f_CLIN
- [ ] pin 30 - PA5 - f_CLOUT